<?php
require_once("../vendor/autoload.php");

use MongoDB\BSON\ObjectId;
use MongoDB\Client;
use Firebase\JWT\JWT;
use Firebase\JWT\Key;

$userInput = file_get_contents('php://input');
$userInputData = json_decode($userInput, true);
if ($userInputData !== null) {
   $headers = explode(" ", trim($_SERVER["HTTP_AUTHORIZATION"]));
   $key = '97eda3db6f898bfb1f821178d1c27064';
   $jwt = $headers[1];
   try {
      $decoded = JWT::decode($jwt, new Key($key, 'HS256'));
      //print_r($decoded);
      $client = new Client('mongodb://kpadmin:AnandAyyappan1981@127.0.0.1:27017/?authSource=kpmaster');
      $collection = $client->selectCollection('kpmaster', 'kpu');
      //$cursor = $collection->aggregate([['$geoNear' => ['near' => ['type' => 'Point', 'coordinates' => [76.93, 8.52]], 'spherical' => true, 'query' => ['srvs' => ['$all' => ['Painting']]], 'distanceField' => 'Dis', 'maxDistance' => 2000, 'includeLocs' => 'loc']], ['$project' => ['ID'=>'$oid', 'Name' => '$fn', 'Distance' => '$Dis', 'Location' => '$loc']]]);
      $updateResult = $collection->updateOne(
         ['_id' => new ObjectId($decoded->kpid)],
         ['$addToSet' => ['srvs' => $userInputData["service"]]]
      );

      if ($updateResult->getModifiedCount() == 1) {
         $message['status'] = true;
         $message['statusMessage'] =  "Service Added Successfully";
      } else {
         $message['status'] = false;
         $message['statusCode'] = 'KP005';
         $message['statusMessage'] =  "Service Addition Failed";
      }
   } catch (\Firebase\JWT\ExpiredException $exception) {
      $message['status'] = false;
      $message['statusCode'] = "KP010";
      $message['statusMessage'] = "Login Token Expired! Kindly Re Login.";
   }
} else {
   $message['status'] = false;
   $message['statusCode'] = "KP001";
   $message['statusMessage'] = "Data Not Received";
}
echo json_encode($message);
